/*****************************************************************************

        GRAOUMF TRACKER 2
        Author: Laurent de Soras, 1996-2016

--- Legal stuff ---

This program is free software. It comes without any warranty, to
the extent permitted by applicable law. You can redistribute it
and/or modify it under the terms of the Do What The Fuck You Want
To Public License, Version 2, as published by Sam Hocevar. See
http://sam.zoy.org/wtfpl/COPYING for more details.

*****************************************************************************/



/*\\\ FICHIERS INCLUDE \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\*/

#include	<stdio.h>

#include	"archi.h"
#include	"base_ct.h"
#include	"gtracker.h"
#include	"PatEventField.h"
#include	"PatEventFieldNote.h"
#include	"PatEventFieldInstr.h"
#include	"PatEventFieldCmd.h"
#include	"PatEventFieldVol.h"
#include	"PatEventFieldVal2d.h"
#include	"PatEventFieldVal3d.h"
#include	"PatEventFieldValInt.h"
#include	"PatEventFieldVal4h.h"
#include	"PatEventFieldEffect4h.h"
#include	"PatEventFieldEffect6h.h"
#include	"PatEventFieldVal2h.h"
#include	"tracks.h"



/*\\\ CONSTANTES PUBLIQUES \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\*/



/*\\\ CONSTANTES PRIVEES \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\*/



/*\\\ TYPES & STRUCTURES PRIVEES \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\*/



/*\\\ DEFINITION DES VARIABLES DE CLASSE PUBLIQUES \\\\\\\\\\\\\\\\\\\\\\\\\*/



/*\\\ DEFINITION DES VARIABLES DE CLASSE PRIVEES \\\\\\\\\\\\\\\\\\\\\\\\\\\*/



/*\\\ METHODES PUBLIQUES \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\*/



PatEventField::PatEventField (void)
{
}



PatEventField::PatEventField (const PatEventField &other)
{
}



PatEventField::~PatEventField (void)
{
}



signed int	PatEventField::check_ok (void) const
{
	return (0);
}



void	PatEventField::self_display (void) const
{
}



void	PatEventField::operator = (const PatEventField &other)
{
}



int	PatEventField::operator == (const PatEventField &other) const
{
	return (false);
}



int	PatEventField::operator != (const PatEventField &other) const
{
	return (true);
}



PatEventField	*PatEventField::create_field (int content)
{
	switch (content)
	{
	case	TRK_CONTENT_NOTE:
		return (new PatEventFieldNote ());
		break;
	case	TRK_CONTENT_INSTR:
		return (new PatEventFieldInstr ());
		break;
	case	TRK_CONTENT_COMMAND:
		return (new PatEventFieldCmd ());
		break;
	case	TRK_CONTENT_VOLUME:
		return (new PatEventFieldVol ());
		break;
	case	TRK_CONTENT_EFFECT_6H:
		return (new PatEventFieldEffect6h ());
		break;
	case	TRK_CONTENT_EFFECT:
		return (new PatEventFieldEffect4h ());
		break;
	case	TRK_CONTENT_4H:
		return (new PatEventFieldVal4h ());
		break;
	case	TRK_CONTENT_2D:
		return (new PatEventFieldVal2d ());
		break;
	case	TRK_CONTENT_3D:
		return (new PatEventFieldVal3d ());
		break;
	case	TRK_CONTENT_INT:
		return (new PatEventFieldValInt ());
		break;
	case	TRK_CONTENT_2H:
		return (new PatEventFieldVal2h ());
		break;
	}

	return (NULL);
}



/*\\\ METHODES PRIVEES \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\*/



/****************************************************************************/
/*                                                                          */
/*                                                                          */
/*                                                                          */
/****************************************************************************/



/*==========================================================================*/
/*      Nom:                                                                */
/*      Description:                                                        */
/*      Parametres en entree:                                               */
/*      Parametres en sortie:                                               */
/*      Parametres en entree/sortie:                                        */
/*      Retour:                                                             */
/*==========================================================================*/
